{
  "openapi": "3.1.0",
  "info": {
    "contact": {
      "email": "support@scanpower.com",
      "name": "ScanPower Support",
      "url": "https://www.scanpower.com"
    },
    "description": "Public facing APIs for sellers, prep-centers, and integrators.",
    "license": {
      "name": "ScanPower API",
      "url": "https://www.scanpower.com/license"
    },
    "title": "ScanPower API",
    "version": "2.0"
  },
  "servers": [
    {
      "description": "endpoint for us-east region",
      "url": "https://unity.scanpower.com"
    },
    {
      "description": "endpoint for us-west region",
      "url": "https://west.scanpower.com"
    },
    {
      "description": "endpoint for eu-west region",
      "url": "https://uk.scanpower.com"
    }
  ],
  "security": [
    {
      "basic_auth": []
    }
  ],
  "paths": {
    "/api/v2/users": {
      "get": {
        "description": "Get a list of active users (parent and sub users)",
        "operationId": "getUsers",
        "parameters": [],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "items": {
                    "properties": {
                      "id": {
                        "description": "The internal id for a ScanPower user. A v4 UUID.",
                        "type": "string"
                      },
                      "name": {
                        "description": "The user's buisness or personal name.",
                        "type": "string"
                      }
                    },
                    "type": "object"
                  },
                  "type": "array"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Account"
        ],
        "summary": "Get a list of active users (parent and sub users)"
      }
    },
    "/account": {
      "get": {
        "summary": "Get a list of Client Proxy Users",
        "description": "Get a list of client proxy users",
        "operationId": "getProxyUsers",
        "parameters": [
          {
            "description": "The proxy indicator",
            "example": "proxy",
            "in": "query",
            "name": "proxy",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "items": {
                    "properties": {
                      "email": {
                        "items": {
                          "description": "An email address",
                          "type": "string"
                        },
                        "type": "array"
                      },
                      "id": {
                        "description": "The internal id for a ScanPower user. A v4 UUID.",
                        "type": "string"
                      },
                      "misc": {
                        "description": "Some additional details, documented are just some of the common ones. Others may be returned that were either one-off values or are no longer used.",
                        "properties": {
                          "active": {
                            "description": "Tracks sub-users' active status",
                            "type": "boolean"
                          },
                          "autoSyncInventory": {
                            "description": "False if we shouldn't sync inventory on login",
                            "type": "boolean"
                          },
                          "default-return-status": {
                            "description": "When an order is returned, default the return status to this.",
                            "type": "string"
                          },
                          "deleted": {
                            "description": "If the user has been deleted, this will be a timestamp representing when the user was deleted.",
                            "type": "string"
                          },
                          "region": {
                            "description": "Users are saved in both east and west regions. We check this on login to see which server to direct the user to.",
                            "type": "string"
                          },
                          "sync-orders": {
                            "description": "Set to false to prevent orders and settlements from saving.",
                            "type": "boolean"
                          },
                          "trackTime": {
                            "description": "Set to true to track how long a (sub-)user is logged in.",
                            "type": "boolean"
                          }
                        },
                        "type": "object"
                      },
                      "name": {
                        "description": "The user's buisness or personal name.",
                        "type": "string"
                      }
                    },
                    "type": "object"
                  },
                  "type": "array"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "basic_auth": []
          }
        ],
        "tags": [
          "Account",
          "Prep Center"
        ]
      }
    },
    "/api/v2/token": {
      "get": {
        "summary": "Get an API token",
        "description": "All other API calls require the token that this endpoint provides",
        "operationId": "getApiToken",
        "parameters": [
          {
            "description": "The ID of a user you have proxy access to. If provided, the returned token will allow you to make API calls on behalf of this user.",
            "in": "header",
            "name": "X-Proxy",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "text/plain": {
                "examples": {
                  "success": {
                    "value": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9..."
                  }
                },
                "schema": {
                  "type": "string"
                }
              }
            },
            "description": "A token was generated and returned in the response body"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "basic_auth": []
          }
        ],
        "tags": [
          "Auth"
        ]
      }
    },
    "/api/az/access-token": {
      "get": {
        "description": "Get an access token from Amazon with which to make SP-API calls.",
        "operationId": "getAccessToken",
        "parameters": [
          {
            "description": "The marketplace to perform operations in.",
            "example": "US",
            "in": "query",
            "name": "marketplace",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "properties": {
                    "access_token": {
                      "type": "string"
                    },
                    "expires_in": {
                      "type": "integer",
                      "example": 3600,
                      "description": "How many seconds until the token expires."
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Auth",
          "Amazon"
        ],
        "summary": "Get an access token from Amazon with which to make SP-API calls."
      }
    },
    "/api/az/catalog/items": {
      "get": {
        "summary": "Search Catalog Items",
        "description": "Wrapper around Amazon's [searchCatalogItems](https://developer-docs.amazon.com/sp-api/docs/catalog-items-api-v2022-04-01-reference#searchcatalogitems) API",
        "operationId": "searchCatalogItems",
        "parameters": [
          {
            "description": "A comma separated list of identifiers. Note that SKUs with commas need to be searched one at a time.",
            "example": "B001FOQJOG",
            "in": "query",
            "name": "identifiers",
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "[IdentifiersType](https://developer-docs.amazon.com/sp-api/docs/catalog-items-api-v2022-04-01-reference#identifierstype)",
            "example": "ASIN",
            "in": "query",
            "name": "identifiersType",
            "schema": {
              "type": "string"
            }
          },
          {
            "example": [
              "US"
            ],
            "in": "query",
            "name": "marketplaceIds",
            "schema": {
              "items": {
                "$ref": "#/components/schemas/MarketplaceId"
              },
              "type": "array"
            }
          },
          {
            "description": "A comma separated list of one or more [IncludedData](https://developer-docs.amazon.com/sp-api/docs/catalog-items-api-v2022-04-01-reference#includeddata-subgroup-2), defaults to `summaries`.",
            "in": "query",
            "name": "includedData",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "locale",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "keywords",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "brandNames",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "classificationIds",
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/spapi.pageSize"
          },
          {
            "in": "query",
            "name": "pageToken",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "keywordsLocale",
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[ItemSearchResults](https://developer-docs.amazon.com/sp-api/docs/catalog-items-api-v2022-04-01-reference#itemsearchresults)",
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon Catalog"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans": {
      "get": {
        "summary": "List InboundPlans",
        "description": "Wrapper around Amazon's [listInboundPlans](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listinboundplans) API",
        "operationId": "listInboundPlans",
        "parameters": [
          {
            "$ref": "#/components/parameters/spapi.pageSize"
          },
          {
            "in": "query",
            "name": "paginationToken",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "status",
            "schema": {
              "description": "[Status](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#status)",
              "enum": [
                "ACTIVE",
                "VOIDED",
                "SHIPPED"
              ],
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "sortBy",
            "schema": {
              "description": "[SortBy](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#sortby)",
              "enum": [
                "LAST_UPDATED_TIME",
                "CREATION_TIME"
              ],
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "sortOrder",
            "schema": {
              "description": "[SortOrder](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#sortorder)",
              "enum": [
                "ASC",
                "DESC"
              ],
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/allPages"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[ListInboundPlansResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listinboundplansresponse)",
                  "properties": {
                    "inboundPlans": {
                      "items": {
                        "description": "[InboundPlanSummary](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#inboundplansummary)",
                        "properties": {
                          "createdAt": {
                            "type": "string"
                          },
                          "inboundPlanId": {
                            "type": "string"
                          },
                          "lastUpdatedAt ": {
                            "type": "string"
                          },
                          "marketplaceIds": {
                            "items": {
                              "$ref": "#/components/schemas/MarketplaceId"
                            },
                            "type": "array"
                          },
                          "name": {
                            "type": "string"
                          },
                          "sourceAddress": {
                            "$ref": "#/components/schemas/Address"
                          },
                          "status": {
                            "enum": [
                              "ACTIVE",
                              "VOIDED",
                              "SHIPPED",
                              "ERRORED"
                            ],
                            "type": "string"
                          }
                        },
                        "type": "object"
                      },
                      "type": "array"
                    },
                    "pagination": {
                      "$ref": "#/components/schemas/Pagination"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "FBA Inbound Shipment"
        ]
      },
      "post": {
        "summary": "Create Inbound Plan",
        "description": "Wrapper around Amazon's [createInboundPlan](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#createinboundplan) API",
        "operationId": "createInboundPlan",
        "parameters": [
          {
            "$ref": "#/components/parameters/operationComplete"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "description": "[CreateInboundPlanRequest](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#createinboundplanrequest)",
                "properties": {
                  "destinationMarketplaces": {
                    "items": {
                      "type": "string"
                    },
                    "type": "array"
                  },
                  "items": {
                    "items": {
                      "$ref": "#/components/schemas/ItemInput"
                    },
                    "type": "array"
                  },
                  "name": {
                    "type": "string"
                  },
                  "sourceAddress": {
                    "$ref": "#/components/schemas/spapi.AddressInput"
                  }
                },
                "type": "object"
              }
            }
          }
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[CreateInboundPlanResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#createinboundplanresponse)",
                  "properties": {
                    "inboundPlanId": {
                      "type": "string"
                    },
                    "operationId": {
                      "type": "string"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "202": {
            "$ref": "#/components/responses/202"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}": {
      "get": {
        "summary": "Get Inbound Plan",
        "description": "Wrapper around Amazon's [getInboundPlan](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#getinboundplan) API",
        "operationId": "getInboundPlan",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[InboundPlan](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#inboundplan)",
                  "properties": {
                    "createdAt": {
                      "type": "string"
                    },
                    "inboundPlanId": {
                      "type": "string"
                    },
                    "lastUpdatedAt ": {
                      "type": "string"
                    },
                    "marketplaceIds": {
                      "items": {
                        "$ref": "#/components/schemas/MarketplaceId"
                      },
                      "type": "array"
                    },
                    "name": {
                      "type": "string"
                    },
                    "packingOptions": {
                      "items": {
                        "description": "[PackingOptionSummary](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#packingoptionsummary)",
                        "properties": {
                          "packingOptionId": {
                            "type": "string"
                          },
                          "status": {
                            "enum": [
                              "OFFERED",
                              "ACCEPTED",
                              "EXPIRED"
                            ],
                            "type": "string"
                          }
                        },
                        "type": "object"
                      },
                      "type": "array"
                    },
                    "placementOptions": {
                      "items": {
                        "description": "[PlacementOptionSummary](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#placementoptionsummary)",
                        "properties": {
                          "placementOptionId": {
                            "type": "string"
                          },
                          "status": {
                            "enum": [
                              "OFFERED",
                              "ACCEPTED"
                            ],
                            "type": "string"
                          }
                        },
                        "type": "object"
                      },
                      "type": "array"
                    },
                    "shipments": {
                      "items": {
                        "description": "[ShipmentSummary](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#shipmentsummary)",
                        "properties": {
                          "shipmentId": {
                            "type": "string"
                          },
                          "status": {
                            "enum": [
                              "ABANDONED",
                              "CANCELLED",
                              "CHECKED_IN",
                              "CLOSED",
                              "DELETED",
                              "DELIVERED",
                              "IN_TRANSIT",
                              "MIXED",
                              "READY_TO_SHIP",
                              "RECEIVING",
                              "SHIPPED",
                              "WORKING"
                            ],
                            "type": "string"
                          }
                        },
                        "type": "object"
                      },
                      "type": "array"
                    },
                    "sourceAddress": {
                      "$ref": "#/components/schemas/Address"
                    },
                    "status": {
                      "enum": [
                        "ACTIVE",
                        "VOIDED",
                        "SHIPPED",
                        "ERRORED"
                      ],
                      "type": "string"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/boxes": {
      "get": {
        "summary": "List InboundPlan Boxes",
        "description": "Wrapper around Amazon's [listInboundPlanBoxes](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listinboundplanboxes) API",
        "operationId": "listInboundPlanBoxes",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/spapi.pageSize"
          },
          {
            "in": "query",
            "name": "paginationToken",
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/allPages"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[ListInboundPlanBoxesResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listinboundplanboxesresponse)",
                  "properties": {
                    "boxes": {
                      "items": {
                        "$ref": "#/components/schemas/Box"
                      },
                      "type": "array"
                    },
                    "pagination": {
                      "$ref": "#/components/schemas/Pagination"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/cancellation": {
      "put": {
        "summary": "Cancel InboundPlan",
        "description": "Wrapper around Amazon's [cancelInboundPlan](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#cancelinboundplan) API",
        "operationId": "cancelInboundPlan",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/operationComplete"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "description": "[CancelInboundPlanResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#cancelinboundplanresponse)",
                      "properties": {
                        "operationId": {
                          "type": "string"
                        }
                      },
                      "type": "object"
                    },
                    {
                      "$ref": "#/components/schemas/InboundOperationStatus"
                    }
                  ]
                }
              }
            },
            "description": "Success"
          },
          "202": {
            "$ref": "#/components/responses/202"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/items": {
      "get": {
        "summary": "List InboundPlan Items",
        "description": "Wrapper around Amazon's [listInboundPlanItems](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listinboundplanitems) API",
        "operationId": "listInboundPlanItems",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/spapi.pageSize"
          },
          {
            "in": "query",
            "name": "paginationToken",
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/allPages"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[ListInboundPlanItemsResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listinboundplanitemsresponse)",
                  "properties": {
                    "items": {
                      "items": {
                        "$ref": "#/components/schemas/Item"
                      },
                      "type": "array"
                    },
                    "pagination": {
                      "$ref": "#/components/schemas/Pagination"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/name": {
      "put": {
        "summary": "Update InboundPlan Name",
        "description": "Wrapper around Amazon's [updateInboundPlanName](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#updateinboundplanname) API",
        "operationId": "updateInboundPlanName",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "description": "[UpdateInboundPlanNameRequest](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#updateinboundplannamerequest)",
                "properties": {
                  "name": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          }
        },
        "responses": {
          "204": {
            "description": "No Content"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/packingGroups/{packingGroupId}/boxes": {
      "get": {
        "summary": "List PackingGroup Boxes",
        "description": "Wrapper around Amazon's [listPackingGroupBoxes](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listpackinggroupboxes) API",
        "operationId": "listPackingGroupBoxes",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "packingGroupId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/spapi.pageSize"
          },
          {
            "in": "query",
            "name": "paginationToken",
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/allPages"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[ListPackingGroupBoxesResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listpackinggroupboxesresponse)",
                  "properties": {
                    "boxes": {
                      "items": {
                        "$ref": "#/components/schemas/Box"
                      },
                      "type": "array"
                    },
                    "pagination": {
                      "$ref": "#/components/schemas/Pagination"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/packingGroups/{packingGroupId}/items": {
      "get": {
        "summary": "List PackingGroup Items",
        "description": "Wrapper around Amazon's [listPackingGroupItems](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listpackinggroupitems) API",
        "operationId": "listPackingGroupItems",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "packingGroupId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/spapi.pageSize"
          },
          {
            "in": "query",
            "name": "paginationToken",
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/allPages"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[ListPackingGroupItemsResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listpackinggroupitemsresponse)",
                  "properties": {
                    "items": {
                      "items": {
                        "$ref": "#/components/schemas/Item"
                      },
                      "type": "array"
                    },
                    "pagination": {
                      "$ref": "#/components/schemas/Pagination"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/packingInformation": {
      "post": {
        "summary": "Set Packing Information",
        "description": "Wrapper around Amazon's [setPackingInformation](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#setpackinginformation) API",
        "operationId": "setPackingInformation",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/operationComplete"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "description": "[SetPackingInformationRequest](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#setpackinginformationrequest)",
                "properties": {
                  "packageGroupings": {
                    "items": {
                      "description": "[PackageGroupingInput](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#packagegroupinginput)",
                      "properties": {
                        "boxes": {
                          "items": {
                            "$ref": "#/components/schemas/BoxInput"
                          },
                          "type": "array"
                        },
                        "packingGroupId": {
                          "type": "string"
                        },
                        "shipmentId": {
                          "type": "string"
                        }
                      },
                      "type": "object"
                    },
                    "type": "array"
                  }
                },
                "type": "object"
              }
            }
          }
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[SetPackingInformationResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#setpackinginformationresponse)",
                  "properties": {
                    "operationId": {
                      "type": "string"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "202": {
            "$ref": "#/components/responses/202"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/packingOptions": {
      "get": {
        "summary": "List Packing Options",
        "description": "Wrapper around Amazon's [listPackingOptions](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listpackingoptions) API",
        "operationId": "listPackingOptions",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/spapi.pageSize"
          },
          {
            "in": "query",
            "name": "paginationToken",
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/allPages"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[ListPackingOptionsResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listpackingoptionsresponse)",
                  "properties": {
                    "packingOptions": {
                      "items": {
                        "$ref": "#/components/schemas/spapi.PackingOption"
                      },
                      "type": "array"
                    },
                    "pagination": {
                      "$ref": "#/components/schemas/Pagination"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      },
      "post": {
        "summary": "Generate Packing Options",
        "description": "Wrapper around Amazon's [generatePackingOptions](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#generatepackingoptions) API",
        "operationId": "generatePackingOptions",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/operationComplete"
          },
          {
            "$ref": "#/components/parameters/list"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "description": "[GeneratePackingOptionsResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#generatepackingoptionsresponse)",
                      "properties": {
                        "operationId": {
                          "type": "string"
                        }
                      },
                      "type": "object"
                    },
                    {
                      "$ref": "#/components/schemas/InboundOperationStatus"
                    }
                  ]
                }
              }
            },
            "description": "Success"
          },
          "202": {
            "$ref": "#/components/responses/202"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/packingOptions/{packingOptionId}/confirmation": {
      "post": {
        "summary": "Confirm Packing Option",
        "description": "Wrapper around Amazon's [confirmPackingOption](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#confirmpackingoption) API",
        "operationId": "confirmPackingOption",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "packingOptionId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/operationComplete"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[ConfirmPackingOptionResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#confirmpackingoptionresponse)",
                  "properties": {
                    "operationId": {
                      "type": "string"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "202": {
            "$ref": "#/components/responses/202"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/pallets": {
      "get": {
        "summary": "List InboundPlan Pallets",
        "description": "Wrapper around Amazon's [listInboundPlanPallets](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listinboundplanpallets) API",
        "operationId": "listInboundPlanPallets",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/spapi.pageSize"
          },
          {
            "in": "query",
            "name": "paginationToken",
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/allPages"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[ListInboundPlanPalletsResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listinboundplanpalletsresponse)",
                  "properties": {
                    "pagination": {
                      "$ref": "#/components/schemas/Pagination"
                    },
                    "pallets": {
                      "items": {
                        "$ref": "#/components/schemas/spapi.Pallet"
                      },
                      "type": "array"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/placementOptions": {
      "get": {
        "summary": "List Placement Options",
        "description": "Wrapper around Amazon's [listPlacementOptions](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listplacementoptions) API",
        "operationId": "listPlacementOptions",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/spapi.pageSize"
          },
          {
            "in": "query",
            "name": "paginationToken",
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/allPages"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[ListPlacementOptionsResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listplacementoptionsresponse)",
                  "properties": {
                    "pagination": {
                      "$ref": "#/components/schemas/Pagination"
                    },
                    "placementOptions": {
                      "items": {
                        "$ref": "#/components/schemas/spapi.PlacementOption"
                      },
                      "type": "array"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      },
      "post": {
        "summary": "Generate Placement Options",
        "description": "Wrapper around Amazon's [generatePlacementOptions](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#generateplacementoptions) API",
        "operationId": "generatePlacementOptions",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/operationComplete"
          },
          {
            "$ref": "#/components/parameters/list"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[GeneratePlacementOptionsResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#generateplacementoptionsresponse)",
                  "properties": {
                    "operationId": {
                      "type": "string"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "202": {
            "$ref": "#/components/responses/202"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/placementOptions/{placementOptionId}/confirmation": {
      "post": {
        "summary": "Confirm Placement Option",
        "description": "Wrapper around Amazon's [confirmPlacementOption](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#confirmplacementoption) API",
        "operationId": "confirmPlacementOption",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "placementOptionId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/operationComplete"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[ConfirmPlacementOptionResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#confirmplacementoptionresponse)",
                  "properties": {
                    "operationId": {
                      "type": "string"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "202": {
            "$ref": "#/components/responses/202"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/shipments/{shipmentId}": {
      "get": {
        "summary": "Get Shipment",
        "description": "Wrapper around Amazon's [getShipment](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#getshipment) API",
        "operationId": "getShipment",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "shipmentId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Shipment"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/shipments/{shipmentId}/boxes": {
      "get": {
        "summary": "List Shipment Boxes",
        "description": "Wrapper around Amazon's [listShipmentBoxes](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listshipmentboxes) API",
        "operationId": "listShipmentBoxes",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "shipmentId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/spapi.pageSize"
          },
          {
            "in": "query",
            "name": "paginationToken",
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/allPages"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[ListShipmentBoxesResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listshipmentboxesresponse)",
                  "properties": {
                    "boxes": {
                      "items": {
                        "$ref": "#/components/schemas/Box"
                      },
                      "type": "array"
                    },
                    "pagination": {
                      "$ref": "#/components/schemas/Pagination"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/shipments/{shipmentId}/contentUpdatePreviews": {
      "get": {
        "summary": "List ShipmentContent UpdatePreviews",
        "description": "Wrapper around Amazon's [listShipmentContentUpdatePreviews](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listshipmentcontentupdatepreviews) API",
        "operationId": "listShipmentContentUpdatePreviews",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "shipmentId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/spapi.pageSize"
          },
          {
            "in": "query",
            "name": "paginationToken",
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/allPages"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[ListShipmentContentUpdatePreviewsResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listshipmentcontentupdatepreviewsresponse)",
                  "properties": {
                    "contentUpdatePreviews": {
                      "items": {
                        "description": "[ContentUpdatePreview](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#contentupdatepreview)",
                        "properties": {
                          "contentUpdatePreviewId": {
                            "type": "string"
                          },
                          "expiration": {
                            "type": "string"
                          },
                          "requestedUpdates": {
                            "$ref": "#/components/schemas/spapi.RequestedUpdates"
                          },
                          "transportationOption": {
                            "$ref": "#/components/schemas/TransportationOption"
                          }
                        },
                        "type": "object"
                      },
                      "type": "array"
                    },
                    "pagination": {
                      "$ref": "#/components/schemas/Pagination"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "202": {
            "$ref": "#/components/responses/202"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      },
      "post": {
        "summary": "Generate ShipmentContent UpdatePreviews",
        "description": "Wrapper around Amazon's [generateShipmentContentUpdatePreviews](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#generateshipmentcontentupdatepreviews) API",
        "operationId": "generateShipmentContentUpdatePreviews",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "shipmentId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/operationComplete"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "description": "[GenerateShipmentContentUpdatePreviewsRequest](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#generateshipmentcontentupdatepreviewsrequest)",
                "properties": {
                  "boxes": {
                    "items": {
                      "$ref": "#/components/schemas/BoxUpdateInput"
                    },
                    "type": "array"
                  },
                  "items": {
                    "items": {
                      "$ref": "#/components/schemas/ItemInput"
                    },
                    "type": "array"
                  }
                },
                "type": "object"
              }
            }
          }
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[GenerateSelfShipAppointmentSlotsResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#generateselfshipappointmentslotsresponse)",
                  "properties": {
                    "operationId": {
                      "type": "string"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "202": {
            "$ref": "#/components/responses/202"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/shipments/{shipmentId}/contentUpdatePreviews/{contentUpdatePreviewId}": {
      "get": {
        "summary": "Get ShipmentContent UpdatePreview",
        "description": "Wrapper around Amazon's [getShipmentContentUpdatePreview](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#getshipmentcontentupdatepreview) API",
        "operationId": "getShipmentContentUpdatePreview",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "shipmentId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "contentUpdatePreviewId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[ContentUpdatePreview](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#contentupdatepreview)",
                  "properties": {
                    "contentUpdatePreviewId": {
                      "type": "string"
                    },
                    "expiration": {
                      "type": "string"
                    },
                    "requestedUpdates": {
                      "$ref": "#/components/schemas/spapi.RequestedUpdates"
                    },
                    "transportationOption": {
                      "$ref": "#/components/schemas/TransportationOption"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/shipments/{shipmentId}/contentUpdatePreviews/{contentUpdatePreviewId}/confirmation": {
      "post": {
        "summary": "Confirm ShipmentContent UpdatePreview",
        "description": "Wrapper around Amazon's [confirmShipmentContentUpdatePreview](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#confirmshipmentcontentupdatepreview) API",
        "operationId": "confirmShipmentContentUpdatePreview",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "shipmentId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "contentUpdatePreviewId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/operationComplete"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[ConfirmShipmentContentUpdatePreviewResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#confirmshipmentcontentupdatepreviewresponse)",
                  "properties": {
                    "operationId": {
                      "type": "string"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "202": {
            "$ref": "#/components/responses/202"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/shipments/{shipmentId}/deliveryChallanDocument": {
      "get": {
        "summary": "Get DeliveryChallan Document",
        "description": "Wrapper around Amazon's [getDeliveryChallanDocument](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#getdeliverychallandocument) API",
        "operationId": "getDeliveryChallanDocument",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "shipmentId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[GetDeliveryChallanDocumentResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#getdeliverychallandocumentresponse)",
                  "properties": {
                    "documentDownload ": {
                      "$ref": "#/components/schemas/spapi.DocumentDownload"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/shipments/{shipmentId}/deliveryWindowOptions": {
      "get": {
        "summary": "List DeliveryWindow Options",
        "description": "Wrapper around Amazon's [listDeliveryWindowOptions](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listdeliverywindowoptions) API",
        "operationId": "listDeliveryWindowOptions",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "shipmentId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/spapi.pageSize"
          },
          {
            "in": "query",
            "name": "paginationToken",
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/allPages"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[ListDeliveryWindowOptionsResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listdeliverywindowoptionsresponse)",
                  "properties": {
                    "deliveryWindowOptions": {
                      "items": {
                        "description": "[DeliveryWindowOption](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#deliverywindowoption)",
                        "properties": {
                          "availabilityType": {
                            "$ref": "#/components/schemas/availabilityType"
                          },
                          "deliveryWindowOptionId": {
                            "type": "string"
                          },
                          "endDate": {
                            "type": "string"
                          },
                          "startDate": {
                            "type": "string"
                          },
                          "validUntil": {
                            "type": "string"
                          }
                        },
                        "type": "object"
                      },
                      "type": "array"
                    },
                    "pagination": {
                      "$ref": "#/components/schemas/Pagination"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      },
      "post": {
        "summary": "Generate DeliveryWindow Options",
        "description": "Wrapper around Amazon's [generateDeliveryWindowOptions](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#generatedeliverywindowoptions) API",
        "operationId": "generateDeliveryWindowOptions",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "shipmentId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/operationComplete"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[GenerateDeliveryWindowOptionsResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#generatedeliverywindowoptionsresponse)",
                  "properties": {
                    "operationId": {
                      "type": "string"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "202": {
            "$ref": "#/components/responses/202"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/shipments/{shipmentId}/deliveryWindowOptions/{deliveryWindowOptionId}/confirmation": {
      "post": {
        "summary": "Confirm DeliveryWindow Options",
        "description": "Wrapper around Amazon's [confirmDeliveryWindowOptions](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#confirmdeliverywindowoptions) API",
        "operationId": "confirmDeliveryWindowOptions",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "shipmentId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "deliveryWindowOptionId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/operationComplete"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[ConfirmDeliveryWindowOptionsResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#confirmdeliverywindowoptionsresponse)",
                  "properties": {
                    "operationId": {
                      "type": "string"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "202": {
            "$ref": "#/components/responses/202"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/shipments/{shipmentId}/items": {
      "get": {
        "summary": "List ShipmentItems",
        "description": "Wrapper around Amazon's [listShipmentItems](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listshipmentitems) API",
        "operationId": "listShipmentItems",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "shipmentId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/spapi.pageSize"
          },
          {
            "in": "query",
            "name": "paginationToken",
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/allPages"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[ListShipmentItemsResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listshipmentitemsresponse)",
                  "properties": {
                    "items": {
                      "items": {
                        "$ref": "#/components/schemas/Item"
                      },
                      "type": "array"
                    },
                    "pagination": {
                      "$ref": "#/components/schemas/Pagination"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/shipments/{shipmentId}/name": {
      "put": {
        "summary": "Update Shipment Name",
        "description": "Wrapper around Amazon's [updateShipmentName](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#updateshipmentname) API",
        "operationId": "updateShipmentName",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "shipmentId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "description": "[UpdateShipmentNameRequest](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#updateshipmentnamerequest)",
                "properties": {
                  "name": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          }
        },
        "responses": {
          "204": {
            "description": "No Content"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/shipments/{shipmentId}/pallets": {
      "get": {
        "summary": "List Shipment Pallets",
        "description": "Wrapper around Amazon's [listShipmentPallets](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listshipmentpallets) API",
        "operationId": "listShipmentPallets",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "shipmentId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/spapi.pageSize"
          },
          {
            "in": "query",
            "name": "paginationToken",
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/allPages"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[ListShipmentPalletsResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#listshipmentpalletsresponse)",
                  "properties": {
                    "pagination": {
                      "$ref": "#/components/schemas/Pagination"
                    },
                    "pallets": {
                      "items": {
                        "$ref": "#/components/schemas/spapi.Pallet"
                      },
                      "type": "array"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
            "$ref": "#/components/responses/429"
          }
        },
        "security": [
          {
            "bearer_auth": []
          }
        ],
        "tags": [
          "Amazon",
          "FBA Inbound Shipment"
        ]
      }
    },
    "/api/az/inbound/fba/inboundPlans/{inboundPlanId}/shipments/{shipmentId}/selfShipAppointmentCancellation": {
      "put": {
        "summary": "Cancel SelfShip Appointment",
        "description": "Wrapper around Amazon's [cancelSelfShipAppointment](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#cancelselfshipappointment) API",
        "operationId": "cancelSelfShipAppointment",
        "parameters": [
          {
            "in": "path",
            "name": "inboundPlanId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "path",
            "name": "shipmentId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "$ref": "#/components/parameters/operationComplete"
          },
          {
            "$ref": "#/components/parameters/x-access-token"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "description": "[CancelSelfShipAppointmentRequest](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#cancelselfshipappointmentrequest)",
                "properties": {
                  "reasonComment": {
                    "description": "[ReasonComment](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#reasoncomment)",
                    "enum": [
                      "APPOINTMENT_REQUESTED_BY_MISTAKE",
                      "VEHICLE_DELAY",
                      "SLOT_NOT_SUITABLE",
                      "OUTSIDE_CARRIER_BUSINESS_HOURS",
                      "UNFAVOURABLE_EXTERNAL_CONDITIONS",
                      "PROCUREMENT_DELAY",
                      "SHIPPING_PLAN_CHANGED",
                      "INCREASED_QUANTITY",
                      "OTHER"
                    ],
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          }
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "description": "[CancelSelfShipAppointmentResponse](https://developer-docs.amazon.com/sp-api/docs/fulfillment-inbound-api-v2024-03-20-reference#cancelselfshipappointmentresponse)",
                  "properties": {
                    "operationId": {
                      "type": "string"
                    }
                  },
                  "type": "object"
                }
              }
            },
            "description": "Success"
          },
          "202": {
            "$ref": "#/components/responses/202"
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "403": {
            "$ref": "#/components/responses/403"
          },
          "404": {
            "$ref": "#/components/responses/404"
          },
          "422": {
            "$ref": "#/components/responses/422"
          },
          "429": {
[...]
